#
# @(#)11	1.1  src/com/ibm/security/cert com.ibm.security.cert.make, certpath.src, certpath1  5/9/00  13:53:52
# ===========================================================================
# IBM Confidential
# OCO Source Materials
# Licensed Materials - Property of IBM
# IBM Security Software Development Kit, Java (tm) Technology Edition
#
# (C) Copyright IBM Corp. 1999, 2000 All Rights Reserved.
#
# The source code for this program is not published or otherwise divested of
# its trade secrets, irrespective of what has been deposited with the U.S.
# Copyright Office.
# ===========================================================================

#
#    Description:  nmake makefile for CertPath package com.ibm.security.cert
#
#    Author:   Anthony Nadalin
#    Date:     17 September 2000
#    Version:  1.00
#
#
#    This makefile makes the following assumptions:
#    1) An environment variable named JDK has been set to point to the
#       root directory of the Java Development Toolkit 1.2+ (e.g. e:\jdk1.2).
#    2) The command rm can be found along the PATH of the host machine.
#
########################################################################################


# DIRECTORIES IN THE OBJECT TREE
ROOT_DIR = $(MAKEDIR)\..\..\..\..\..
CLASSES_DIR = $(ROOT_DIR)\classes
CLASSES_MAKEDIR = $(CLASSES_DIR)\com\ibm\security\cert
SRC_DIR = $(ROOT_DIR)\src
JAR_DIR = $(ROOT_DIR)\jar

CLASSPATH = $(JAR_DIR)\certpath.jar;$(CLASSES_DIR);$(JDK)\jre\lib\rt.jar;$(SRC_DIR);


# THESE ARE THE OPTIONS PASSED TO THE JAVAC COMPILER
# Note:  debug is set on the command line.
JAVAC_OPTS = $(debug) -d $(CLASSES_DIR) -classpath $(CLASSPATH)

#  Verbose output and compilation of out-of-date class files.
#JAVAC_OPTS = $(debug) -d $(CLASSSES_DIR) -classpath $(CLASSPATH) -verbose -depend


#  Class files in com.ibm.security.cert package:
CLASSES = \
           $(CLASSES_MAKEDIR)\*.class

# Ignore non-zero exit codes returned by all commands below.
# In other words, continue to build in spite of any failures detected.
.IGNORE:


all:    $(CLASSES)


clean:
        rm -f $(CLASSES_MAKEDIR)\*.class


.SUFFIXES: .java .class


# Build command:
{$(MAKEDIR)}.java.class:
        if not exist $(CLASSES_DIR)  mkdir $(CLASSES_DIR)
        $(JDK)\bin\javac $(JAVAC_OPTS) $<

